FTOS_CB_DeleteManualRepaymentNotificationDetail
Deletes a manual repayment notification detail record from the FTOS_CB_RepaymentNotificationDetail entity, if the corresponding repayment notification record is in Draft status.
Syntax
The FTOS_CB_DeleteManualRepaymentNotificationDetail custom endpoint is called from within the Endpoint API endpoint. Visit the Endpoint API page for more details.
POST <host_address>/ftosapi/automation-processors/actions/FTOS_CB_DeleteManualRepaymentNotificationDetail
Content-Type: application/json
{
"notificationDetailNo": "<repayment_notification_detail_number>"
}
Here's a list of the available parameters:
| Parameter | Description |
|---|---|
| host_address | URL of the FintechOS Platform server. |
| notificationNo | The number of the repayment notification record. |
| notificationDetailNo | Mandatory. The number of the repayment notification detail record. |
Response
The response indicates the result of the code execution, specifically the result of deleting a repayment notification detail record.
Example
To delete a repayment notification detail from a notification in Draft status , send the following request, changing the parameter values with your desired values.
Request
POST https://FintechOSStudio/ftosapi/automation-processors/actions/FTOS_CB_DeleteManualRepaymentNotificationDetail
Content-Type: application/json
{
"notificationNo": "59102",
"notificationDetailNo":"90975"
}
Response
{
"IsSuccess": true,
"Message": "The notification detail was deleted."
}
Error Message
-
The notification detail having this number could not be identified.- The notification detail with the number specified in the request body was not found in the system, therefor it was not deleted. -
The notification detail could not be deleted, the notification is not in draft status.- The notification detail with the number specified in the request body was not deleted because the corresponding notification's status is different thanDraft.